WordPress.org

Ready to get started?Download WordPress

Forums

Error 500 after 3.5 Upgrade: 3.4.1 rollback possible? (14 posts)

  1. Zzzptm
    Member
    Posted 1 year ago #

    zzzptm.com/wordpress

    I get an error 500, which happened IMMEDIATELY after I upgraded to 3.5. Instead of going to an "upgrade successful" page, the upgrade served up an error 500.

    TROUBLESHOOTING SO FAR
    1. Added an .htaccess file in my wordpress directory, with contents as recommended elsewhere on this site.
    2. Added 'require( ABSPATH . WPINC . '/class-wp-embed.php' );' to wp-settings.php
    3. Renamed plugins to plugins.hold.
    4. Changed the option_value field to: a:0:{}

    Still getting the error 500.

    QUESTION: Can I roll it back to 3.4.1, or will that version fail with a 3.5 database? I want my blog back, even if it's without a completely re-thought media manager. If I'm going to have to do a manual copy of files, I would rather do all that work for a version that I *know* worked and not to a version that I don't know will run successfully.

  2. 500 errors are server errors; talk to your host. You're also on IIS, which can be problematic.

    2. Added 'require( ABSPATH . WPINC . '/class-wp-embed.php' );' to wp-settings.php
    4. Changed the option_value field to: a:0:{}

    Why did you do these?

  3. Zzzptm
    Member
    Posted 1 year ago #

    The first was mentioned in another thread with a discussion of getting an error 500 immediately after a 3.5 upgrade as having worked.

    The second was a troubleshooting step in the "disable all plugins" instructions given in the main thread from the admins about 3.5 issues.

    As for IIS and servers, everything worked fine with 3.4.1 and continues to work fine on my daughter's 3.4.1 blog on the same website. I've had my wordpress blog there for years and it's worked just fine.

    This is why I'd like to know if I can roll back to 3.4.1, which is my "last known good" set of files on the server, or if 3.5 makes any database changes that aren't backward-compatible.

  4. 3.5 makes DB changes on update; some people have had luck running 3.4.2 on a 3.5 database. But it's not recommended. Good reason to have backups.

    You can try

    define( 'CONCATENATE_SCRIPTS', false );

    in wp-config.php.

    Windows servers can be a PITA.

  5. Zzzptm
    Member
    Posted 1 year ago #

    Did not work... I'll give a shot at a manual upgrade to 3.5. I'll let you know how that goes.

  6. Frumph
    Member
    Posted 1 year ago #

    on your windows machine did you setup a php error log file in the php.ini? .. check the log file for the actual 500 error

  7. Zzzptm
    Member
    Posted 1 year ago #

    I don't think I have logging enabled... and I don't know how to enable logging from my site control panel. I'm not local to my server.

  8. 26sites
    Member
    Posted 1 year ago #

    after updating WP to 3.5 I am receiving this:"Fatal error: Call to undefined method Arras_Widget_Tag_Cloud::WP_Widget_Tag_Cloud() in /home/content/i/n/t/interpreting1/html/wp-content/themes/arras/library/widgets.php on line 404"

  9. Frumph
    Member
    Posted 1 year ago #

    @26sites not polite to hijack someone elses thread, make a new one for yourself.

    ALso, while Arras is not a pay for theme it's not hosted on wordpress.org

    You can find help for the Arras theme here: http://forums.arrastheme.com/

    Specifically this thread: http://forums.arrastheme.com/index.php?p=/discussion/6815/consolidated-arras_widget_tag_cloud-php-error-with-wordpress-3-2

    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    @zzzptm Are you hosting with a hosting company? They can help you setup an error log.

    Alternatively first thing "I" would do is FTP in and rename the plugins folder to 'old-plugins' to see if it's one of the plugins causing the error, renaming the folder will temporarily turn them off.
    .. then if the error still persists, I would go to the themes directory and rename the theme I was using so it defaults to the default twentytwelve one

  10. 26sites
    Member
    Posted 1 year ago #

    I apologize I thought I was starting a new one

  11. Zzzptm
    Member
    Posted 1 year ago #

    Renaming plugins and themes did not bring it back.

    Time to try the manual upgrade.

  12. Zzzptm
    Member
    Posted 1 year ago #

    Did the manual update and I'm at the "Error establishing a database connection" screen. Time to edit the proper file and see if I get that 500 again... have to say, though, it's a pleasure getting a different error. Indicates progress. :)

  13. Zzzptm
    Member
    Posted 1 year ago #

    Wow... I got the correct credentials entered (after I found the email from my host in which he mentions the new server name...), the install.php connected fine to the database, gave me a button to log in and...

    500 - Internal server error.
    There is a problem with the resource you are looking for, and it cannot be displayed.

    If I connect it to my daughter's 3.4.1 database, I can run the admin panel, but the blog itself shows up blank. When I connect it to my 3.5 database... the one with all my STUFF in it, I get the error 500.

    It connects to my database. No action...

    After I DELETE, not rename, DELETE all the plugins and themes except akismet and twentytwelve, I get a login for the admin panel, the blog is still blank.

    Admin panel says "ERROR: The themes directory is either empty or doesn’t exist. Please check your installation." Yeah, I know about that... suppose I should fix that...

    I activate the twentytwelve theme. YAY! My blog appears!

    So I had to DELETE all my plugins and themes, not just rename them. DELETE.

    This is broken behavior, if you ask me. If there's some kind of problem with a plugin or theme, it should have a graceful fail to where the plugin is deactivated or the theme deprecates to a default that works. Getting an Error 500 that persists until I delete files is a bad situation.

    I go to update akismet and... guess what...
    500 - Internal server error.
    There is a problem with the resource you are looking for, and it cannot be displayed.

    Noooooooooooooooooooooooooooo! That's part of my antispam arsenal! This needs fixin', and fast!

  14. adriantamasan
    Member
    Posted 1 year ago #

    I had error 500 after 3.5 upgrade, and when I removed one by one the pluggins I noticed JetPack from Automatic was the problem.

Topic Closed

This topic has been closed to new replies.

About this Topic